Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v2
Class MessageType

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v2.MessageType

All Implemented Interfaces:
  Serializable

    public class MessageType

extends Object
implements Serializable

Get a message with it's content

Java class for MessageType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MessageType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PublicationId" type="{urn:be:fgov:ehealth:ehbox:core:v2}PublicationIdType" minOccurs="0"/>
             <element name="DestinationContext" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <extension base="{urn:be:fgov:ehealth:ehbox:core:v2}EhboxIdentifierType">
                     <sequence minOccurs="0">
                       <element name="Mandate" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <extension base="{urn:be:fgov:ehealth:commons:core:v1}IdentifierType">
                               <sequence minOccurs="0">
                                 <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                               </sequence>
                             </extension>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                   </extension>
                 </complexContent>
               </complexType>
             </element>
             <element name="ContentContext">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="Content" type="{urn:be:fgov:ehealth:ehbox:core:v2}ContentType"/>
                       <element name="ContentSpecification" type="{urn:be:fgov:ehealth:ehbox:core:v2}ConsultContentSpecificationType"/>
                       <element name="CustomMeta" type="{urn:be:fgov:ehealth:ehbox:core:v2}CustomMetaType" maxOccurs="50" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="Meta" type="{urn:be:fgov:ehealth:ehbox:core:v2}MetaType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CopyMailTo" maxOccurs="unbounded" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="80"/>
                 </restriction>
               </simpleType>
             </element>
           </sequence>
           <attribute name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v2}MessageIdType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MessageType()`

Method Summary
`ContentContext` | `getContentContext()` Gets the value of the contentContext property.
`List<String>` | `getCopyMailTos()` Gets the value of the copyMailTos property.
`List<DestinationContext>` | `getDestinationContexts()` Gets the value of the destinationContexts property.
`String` | `getMessageId()` Gets the value of the messageId property.
`List<MetaType>` | `getMetas()` Gets the value of the metas property.
`String` | `getPublicationId()` Gets the value of the publicationId property.
`void` | `setContentContext(ContentContext value)` Sets the value of the contentContext property.
`void` | `setMessageId(String value)` Sets the value of the messageId property.
`void` | `setPublicationId(String value)` Sets the value of the publicationId property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageType

    public MessageType()

Method Detail

### getPublicationId

    public String getPublicationId()

  Gets the value of the publicationId property.

  Returns:
    possible object is `String`

### setPublicationId

    public void setPublicationId(String value)

  Sets the value of the publicationId property.

  Parameters:
    `value` - allowed object is `String`

### getDestinationContexts

    public List<DestinationContext> getDestinationContexts()

  Gets the value of the destinationContexts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the destinationContexts property.

  For example, to add a new item, do as follows:

          getDestinationContexts().add(newItem);

  Objects of the following type(s) are allowed in the list `DestinationContext`

### getContentContext

    public ContentContext getContentContext()

  Gets the value of the contentContext property.

  Returns:
    possible object is `ContentContext`

### setContentContext

    public void setContentContext(ContentContext value)

  Sets the value of the contentContext property.

  Parameters:
    `value` - allowed object is `ContentContext`

### getMetas

    public List<MetaType> getMetas()

  Gets the value of the metas property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the metas property.

  For example, to add a new item, do as follows:

          getMetas().add(newItem);

  Objects of the following type(s) are allowed in the list `MetaType`

### getCopyMailTos

    public List<String> getCopyMailTos()

  Gets the value of the copyMailTos property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the copyMailTos property.

  For example, to add a new item, do as follows:

          getCopyMailTos().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getMessageId

    public String getMessageId()

  Gets the value of the messageId property.

  Returns:
    possible object is `String`

### setMessageId

    public void setMessageId(String value)

  Sets the value of the messageId property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.